Page MenuHomePhabricator

Create Wikisource Ligurian
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikisource Ligurian.

  • Local file uploads: disabled
  • Wikisource-specific namespace names:

"Aotô" (Author), "Discuscion aotô" (Author talk),
"Ìndiçe" (Index), "Discuscion ìndiçe" (Index talk),
"Pagina" (Page), "Discuscion pagina" (Page talk),
"Œuvia" (Work), "Discuscion œuvia" (Work talk).
Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki lij wikisource lijwikisource lij.wikisource.org
On deploy1001:
scap sync-file dblists "Creating lijwikisource (T257672)"
scap sync-wikiversions "Creating lijwikisource (T257672)"
scap sync-file wmf-config/InitialiseSettings.php "Creating lijwikisource (T257672)"
scap sync-file static/images/project-logos/ "Creating lijwikisource (T257672)"
scap sync-file langlist "Creating lijwikisource (T257672)"
scap update-interwiki-cache

End of automatic output

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Luensu1959 triaged this task as High priority.Jul 12 2020, 4:22 PM

I would like to strongly stress that we need to keep the interface in English as we have for the time being no native speakers who can work on the interface. Interface in Italian is not an option as we need to remain independent linguistically speaking. Even the simplest translation proposals I see above are wrong and need a native speaker for an urgent correction ("Aotô" (Author), "Discuscioìn aotô" (Author talk),
"Ìndice" (Index), "Discuscioìn ìndice" (Index talk),
"Pàgina" (Page), "Discuscioìn pàgina" (Page talk),
"Òpia" (Work), "Discuscioìn òpia" (Work talk)
Please give feedback on this asap.

Ladsgroup raised the priority of this task from High to Needs Triage.Jul 12 2020, 4:25 PM

Do not change the priority.

Urbanecm triaged this task as Low priority.Jul 12 2020, 4:39 PM

Change 611932 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Add messages for lijwikisource

https://gerrit.wikimedia.org/r/611932

This comment was removed by S4b1nuz_E.656.

@S4b1nuz_E.656
Hi, you forgot what DraconicDark wrote on my talk page on Wikisource (I stress "my" as you never contribute to WikiSource in Ligurian language, so you are not aware of our limited possibilities). DraconicDark wrote:
One of these conditions is at least 3 active users per month for more than 3 months.
However, another one of these conditions is for the MediaWiki interface to be translated into Ligurian via Translatewiki. Currently, the most used messages are translated, but the ProofreadPage extension, which is important to Wikisource, is not. At least translating the ProofreadPage extension would be necessary for Ligurian Wikisource to be approved. The fact that Translatewiki is separate from Wikimedia means that you might not have known about this.

Sabino, you are not a Ligurian native speaker, are you going to do the job? I cannot.
Best wishes

@Luensu1959

The ProofreadPage extension is mostly translated already (at least enough for approval). As I stated on your talk page at Multilingual Wikisource, yes, it would appear that the conditions for approval have in fact been met. The complete translation of all of MediaWiki is not absolutely required for approval; it is just the most used messages that are required in general, and the ProofreadPage extension for Wikisource.

Change 611932 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for lijwikisource

https://gerrit.wikimedia.org/r/611932

Is there any technical possibility to maintain ENGLISH as the default language for the interface instead of Italian whenever sentences/phrases have not been translated into Ligurian yet? Sadly, Wikisource in Ligurian is not growing anymore ( I have been the only contributor in the past few months). I would not like to see the Ligurian Wikisource become kind of dependent of the Italian Wikis as Ligurian is not a dialect as many Italians maintain, but rather a century-old language of its own. Please give feedback on this asap.

It's technically possible. Whether it's going to be agreed on, I don't know.

Thanks. We are losing visibility in becoming an "independent" Ligurian subdomain. There are millions of Ligurian descendants in the US, Australia, the UK and Argentina (to just quote some Countries) who only speak a few words of their fathers. They can trace us thanks to English. Also, mixing Ligurian and Italian gives a very bad image (would you mix Spanish and Italian or Spanish and Portuguese just because they are similar? (by the way, Ligurian/Genoese and Portuguese are very similar in sound and writing. That*s why Christopher Columbus was able to communicate with the Portuguese queen and later the Spanish king).

One detail: the translations quoted above on this page are wrong:
(Wikisource-specific namespace names:
"Aotô" (Author), "Discuscioìn aotô" (Author talk),
"Ìndice" (Index), "Discuscioìn ìndice" (Index talk),
"Pàgina" (Page), "Discuscioìn pàgina" (Page talk),
"Òpia" (Work), "Discuscioìn òpia" (Work talk)
If you compare them with key words that appear on the home page of Wikisource in Ligurian, namely
indiçe generâ · indiçe di aotoî · instruçuin · scriti da rileze · scriti da transcrive · paggina de prœuve · avertense
you will notice many discrepancies. You should ask G.Musso, the actual creator of most of Wikisource in Ligurian, to help you with the translations. I definitely support English as an interface to maintain visibility and avoid discrepancies.

Urbanecm changed the task status from Open to Stalled.Jul 13 2020, 9:33 AM

@Luensu1959 Hello, I don't think this should be discussed via Wikimedia Phabricator. If I'm right, having interface translated is one of the requirements to have a wiki, and having this wiki in English would probably have to be agreed by the LangCom. Since I do not think deciding this issue is in my wheelhouse, I'm stalling this task, and asking @MF-Warburg to help to sort this issue out as the LangCom representative.

MF-Warburg changed the task status from Stalled to Open.Jul 14 2020, 10:50 AM

The doubts were resolved, the creation can continue (with lij as the interface language).

Last but not least (if G.Musso agrees), please find few corrections below:
Wikisource-specific namespace names:
"Aotô" (Author), "Discuscioìn de l'aotô" (Author talk),
"Ìndiçe" (Index), "Indiçe de discuscioìn" (Index talk),
"Pàgina" (Page), "Pàgina de discuscioìn" (Page talk),
"Òpia" (Work), "Discuscioìn in sce l'òpia" (Work talk)

RhinosF1 changed the task status from Open to Stalled.Jul 14 2020, 1:54 PM

@MF-Warburg, @Luensu1959: Please can you ensure the proposed configuration is correct and report back. We shouldn't be going back and forth debating which to use.

If no one answers within 24 hours, that's it. The namespace names were translated by S4b1nuz E.656 who is not a native speaker.

@Luensu1959 Please note Wikimedia Phabricator is not the place for deciding this issue. In Phabricator, only technical maters should be discussed here.

@MF-Warburg If we should interpret your previous message (T257672#6303809) as a directive statement, let us know, so we can avoid the back-and-forth issue :). Thank you!

Urbanecm updated the task description. (Show Details)Jul 14 2020, 2:40 PM

I asked yesterday in writing the "key players" of the Ligurian Wikisource (G.Musso and Giromin Cangiaxo). They have not replied, so I assume they agree. Please note that The wrong translations appear on top of this page, so who should change them?

I am not one who is not involved in this discussion, but I have a small suggestion.

I asked yesterday in writing the "key players" of the Ligurian Wikisource (G.Musso and Giromin Cangiaxo). They have not replied, so I assume they agree.

I think decisions are something that needs to be taken in form of text and should not be assumed. So I guess either one of them or both, mentioned in the quoted comment needs to respond on the same, so as to proceed with the decision. If they don't respond for longer, it will lead to some other conclusion: they are inactive. So, my humble request is to wait for their response.

sorry I'm late, i didn't know about this thing going on.

I believe the first attempt was quite good, given a laconic style is mandatory. I would just reduce the number of diacritics and replace "opia" (Work) with "œuvia" or maybe "scriti" (i.e. "writings")

"Aotô" (Author), "Discuscion aotô" (Author talk),
"Indiçe" (Index), "Discuscion indiçe" (Index talk),
"Pagina" (Page), "Discuscion pagina" (Page talk),
"Scriti" (Work), "Discuscion scriti" (Work talk)

cheers!

@Adithyak1997 @G.Musso Please DO NOT discuss this issue at Wikimedia Phabricator - it serves no purpose. Wikimedia Phabricator is a place where system administrators coordinate on fulfiling a certain technical task, like creating a wiki, changing wiki configuration, or a bug. It is not a place where to discuss non-technical questions. Your comments here will not be taken into effect. This issue can be discussed only at https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikisource_Ligurian.

MF-Warburg changed the task status from Stalled to Open.Jul 17 2020, 9:24 PM
MF-Warburg updated the task description. (Show Details)

@Urbanecm the names of the requested additional namespaces are now final, please go ahead.

Change 613733 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/ProofreadPage@master] Add ProofreadPage namespace translation for lij

https://gerrit.wikimedia.org/r/613733

Thanks @MF-Warburg, updated the patches :).

Change 613733 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Add ProofreadPage namespace translation for lij

https://gerrit.wikimedia.org/r/613733

Meno25 added a subscriber: Meno25.Jul 18 2020, 3:44 PM

Change 611435 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for lijwikisource

https://gerrit.wikimedia.org/r/611435

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:30:51Z] <urbanecm@deploy1001> Synchronized dblists: Creating lijwikisource (T257672) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:32:25Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating lijwikisource (T257672)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:34:02Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating lijwikisource (T257672) (duration: 00m 57s)

Urbanecm closed this task as Resolved.Jul 20 2020, 12:46 PM
Urbanecm claimed this task.

Wiki is up and running at https://lij.wikisource.org

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:59:13Z] <Urbanecm> creating arywiki (T257674), lijwikisource (T257672), sysop_itwiki (T256545) done

Change 614740 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[analytics/refinery@master] Add newly created wikis to the whitelist

https://gerrit.wikimedia.org/r/614740

Change 614742 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add newly created wikis

https://gerrit.wikimedia.org/r/614742

Maintenance_bot moved this task from Radar to Done on the User-RhinosF1 board.Jul 20 2020, 1:15 PM

Change 614740 abandoned by Urbanecm:
[analytics/refinery@master] Add newly created wikis to the whitelist

Reason:
I see this was already merged as https://gerrit.wikimedia.org/r/613655 :)

https://gerrit.wikimedia.org/r/614740

Samuele2002 reopened this task as Open.EditedJul 20 2020, 10:40 PM

Please note that the namespaces "Page" and "Index" have not been translated remain in the English version and Author: does not redirect to Aotô:

eg.
https://lij.wikisource.org/wiki/Speçiale:Tûtte_e_paggine?from=&to=&namespace=252
https://lij.wikisource.org/wiki/Page:Gazzo.divina.comedia.1909.djvu/83
https://lij.wikisource.org/wiki/Author:Zane_Françesco_Bafigo

And some pages do not display the image with text scanning (seems when the file is a pdf)
https://lij.wikisource.org/wiki/Page:Malinverni_C._Bolle_de_savon_1921.pdf/90
https://wikisource.org/wiki/Page:Malinverni_C._Bolle_de_savon_1921.pdf/90

MF-Warburg updated the task description. (Show Details)Jul 20 2020, 10:45 PM

Change 614900 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add English aliases for WS-specific namespaces to lijwikisource

https://gerrit.wikimedia.org/r/614900

Change 614775 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/ProofreadPage@wmf/1.35.0-wmf.41] Add ProofreadPage namespace translation for lij

https://gerrit.wikimedia.org/r/614775

Change 614900 merged by jenkins-bot:
[operations/mediawiki-config@master] Add English aliases for WS-specific namespaces to lijwikisource

https://gerrit.wikimedia.org/r/614900

Samuele2002 added a comment.EditedJul 20 2020, 11:03 PM

You can add to wikis from which you can import itwikisource oldwikisource and lijwiki? Thanks

Mentioned in SAL (#wikimedia-operations) [2020-07-20T23:05:40Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 2147774caaa0819f8b5d71cc16bc021d94677702: Add English aliases for WS-specific namespaces to lijwikisource (T257672) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T23:06:50Z] <Urbanecm> run mwscript namespaceDupes.php --wiki=lijwikisource -- fix (T257672)

Change 614775 merged by Urbanecm:
[mediawiki/extensions/ProofreadPage@wmf/1.35.0-wmf.41] Add ProofreadPage namespace translation for lij

https://gerrit.wikimedia.org/r/614775

Mentioned in SAL (#wikimedia-operations) [2020-07-20T23:12:12Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.41/extensions/ProofreadPage/ProofreadPage.namespaces.php: 03ed74f0b9b8f55d01f9112c31f2f6ea17990f9c: Add ProofreadPage namespace translation for lij (T257672) (duration: 00m 57s)

Urbanecm closed this task as Resolved.Jul 20 2020, 11:39 PM

Please note that the namespaces "Page" and "Index" have not been translated remain in the English version and Author: does not redirect to Aotô:

eg.
https://lij.wikisource.org/wiki/Speçiale:Tûtte_e_paggine?from=&to=&namespace=252
https://lij.wikisource.org/wiki/Page:Gazzo.divina.comedia.1909.djvu/83
https://lij.wikisource.org/wiki/Author:Zane_Françesco_Bafigo

Fixed the namespace issue.

And some pages do not display the image with text scanning (seems when the file is a pdf)
https://lij.wikisource.org/wiki/Page:Malinverni_C._Bolle_de_savon_1921.pdf/90
https://wikisource.org/wiki/Page:Malinverni_C._Bolle_de_savon_1921.pdf/90

That's because the file actually doesn't exist there. Explained by @MF-Warburg at https://meta.wikimedia.org/w/index.php?title=Requests_for_new_languages/Wikisource_Ligurian&diff=20299627&oldid=20297322.

You can add to wikis from which you can import itwikisource oldwikisource and lijwiki? Thanks

If you're asking to add import sources for admins to be able to import locally, please create an additional task for that.

Koavf added a subscriber: Koavf.EditedJul 21 2020, 12:03 AM

<del>"Import from Incubator" is checked but there are many files that are not ported over from mul.ws and that will fundamentally break the scans. (That's in addition to user pages, templates, modules, etc.)</del>

This was addressed by the above comment--it was posted while this tab was open. Thanks.

Change 614742 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add newly created wikis

https://gerrit.wikimedia.org/r/614742

Samuele2002 reopened this task as Open.Jul 27 2020, 8:58 AM

The project logo is this: https://meta.wikimedia.org/wiki/File:Wikivivagna-logo_203_x_233_px.png Can you replace the basic logo with this ? Thanks

The project logo is this: https://meta.wikimedia.org/wiki/File:Wikivivagna-logo_203_x_233_px.png Can you replace the basic logo with this ? Thanks

I believe the logo needs to be 135x155

Ladsgroup closed this task as Resolved.Jul 27 2020, 9:22 AM

Out of scope of this ticket, file a new ticket please.

Meno25 removed a subscriber: Meno25.Aug 3 2020, 4:14 PM